Subject: bug#47337: 28.0.50; [feature/native-comp] Compilation over and over again

From: Andrea Corallo <[email-masked]>
Date: Wed, 24 Mar 2021 14:31:05 +0000

Trey Peacock <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Konstantin Reich <[email-masked]>
>>> Date: Tue, 23 Mar 2021 11:42:42 +0300
>>>
>>> With recent update, Emacs re-compiles all files over and over again.
>>> So for example in the directory ~/.emacs.d/eln-cache/28.0.50-da68e688
>>> I have file "seq-c314b42f-92293e32.eln". I start emacs and the file is
>>> compiled again. As a result, I have the same file with the
>>> updated timestamp in the same directory.
>>>
>>>
>>> Moreover, I have compiled emacs with "NATIVE_FULL_AOT=1". So i already have
>>> the same file in :
>>> /usr/local/lib/emacs/28.0.50/native-lisp/28.0.50-da68e688/
>>> Still, every time i start emacs, it starts to recompile all files.
>>>
>>> It is never ending cycle of compilation.
>>
>> My problem starts even earlier: dumping Emacs as part of the build
>> doesn't seem to load the preloaded *.eln files, but the *.elc files
>> instead (or at least it doesn't announce the fact that "native
>> compiled lisp" file is loaded), although I do have all the freshly
>> compiled *.eln files under native-lisp/.
>>
>>
>>
>>
>
> I am also experiencing this issue. I've found my comp-eln-load-path
> value is '("~/.emacs.d/eln-cache/" "../native-lisp/"). Notably, the
> system variable looks incorrect since based off the invocation-directory
> it would mean my native-comp files are in /usr/native-lisp/.

Could you be more specific on what's the value of you
`invocation-directory' and where the eln is located?

Thanks

  Andrea